TIMEOUT(1)

BEZEICHNUNG
timeout - Einen Befehl mit einer Zeitbeschränkung ausführen

ÜBERSICHT
timeout [OPTION] DAUER BEFEHL [ARGUMENT]...
timeout [OPTION]

BESCHREIBUNG

BEFEHL ausführen und, falls er nach DAUER immer noch läuft, beenden

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-k, --kill-after=DAUER

    Außerdem ein KILL-Signal senden, falls BEFEHL dies noch nach der DAUER nachdem das anfängliche Signal gesandt wurde, ausgeführt wird.

-s, --signal=SIGNAL

    Das Signal angeben, das bei einer Zeitüberschreitung gesandt werden soll. SIGNAL könnte eine Name, wie »HUP«, oder eine Nummer sein. Lesen Sie »kill -l«, um eine Liste der Signale zu erhalten.

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

DAUER ist eine Ganzzahl mit optionaler Endung: »s« für Sekunden (Vorgabe), »m« für Minuten, »h« für Stunden oder »d« für Tage.

Falls ein Befehl die Zeit überschreitet, so beendet sich Timeout mit einem Rückgabewert von 124, sonst mit dem des ausgeführten BEFEHLs. Ist kein Signal angegeben, wird bei Zeitüberschreitung TERM gesandt. Das Signal TERM beendet jegliche Prozesse, die dieses Signal nicht abblocken oder abfangen. Für andere Prozesse muss eventuell KILL (9) benutzt werden, da dieses Signal nicht abgefangen werden kann.

AUTOR
Geschrieben von Pádraig Brady.

FEHLER BERICHTEN
Berichten Sie Fehler in timeout (auf Englisch) an bug-coreutils@gnu.org
Homepage der GNU coreutils: <http://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: <http://www.gnu.org/gethelp/>
Berichten Sie Fehler in der Übersetzung von timeout an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2010 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
kill(1)

Die vollständige Dokumentation für timeout wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und timeout auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'timeout invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@informatik.hu-berlin.de> und Chris Leick <c.leick@vollbio.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.